## org.eclipse.emf.cdo.spi.common.revision
Interface InternalCDORevisionDelta

All Superinterfaces:
  CDORevisionDelta

    public interface InternalCDORevisionDelta

extends CDORevisionDelta

Since:
  2.0

Method Summary
`void` `addFeatureDelta(CDOFeatureDelta delta)`
`void` `adjustReferences(CDOReferenceAdjuster idMappings)`
`void` `setDirtyVersion(int dirtyVersion)`
`void` `setOriginVersion(int originVersion)`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDORevisionDelta
`accept, apply, getDirtyVersion, getFeatureDeltas, getID, getOriginVersion`

Method Detail

### addFeatureDelta

    void addFeatureDelta(CDOFeatureDelta delta)

### adjustReferences

    void adjustReferences(CDOReferenceAdjuster idMappings)

### setOriginVersion

    void setOriginVersion(int originVersion)

### setDirtyVersion

    void setDirtyVersion(int dirtyVersion)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.